# DOCKER-VERSION 1.3.2

FROM       debian:wheezy
MAINTAINER Pierre-Olivier Mercier <nemunaire@nemunai.re>

# Install packages ####################################################

RUN apt-get -y update && \
    apt-get install -y \
            nginx-light \
            php5-fpm \
	    php5-gd \
    && \
    apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

WORKDIR /srv/www/pa4home

EXPOSE 80

COPY entrypoint.sh /root/entrypoint.sh
ENTRYPOINT ["/root/entrypoint.sh"]

RUN ln -sf /srv/www/pa4home/onyx/config/root.sample.xml /srv/www/pa4home/onyx/config/root.xml

# Webserver configuration #############################################

COPY nginx.conf /etc/nginx/sites-available/default

COPY htdocs /srv/www/pa4home/htdocs/
COPY onyx2 /srv/www/pa4home/onyx2/

CMD service nginx start && \
    service php5-fpm start && \
    /bin/bash
